<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SleeveBladeburnerTask](./bitburner.sleevebladeburnertask.md)

## SleeveBladeburnerTask interface


**Signature:**

```typescript
interface SleeveBladeburnerTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[actionName](./bitburner.sleevebladeburnertask.actionname.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[actionType](./bitburner.sleevebladeburnertask.actiontype.md)


</td><td>


</td><td>

"General" \| "Contracts"


</td><td>


</td></tr>
<tr><td>

[cyclesNeeded](./bitburner.sleevebladeburnertask.cyclesneeded.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[cyclesWorked](./bitburner.sleevebladeburnertask.cyclesworked.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[tasksCompleted](./bitburner.sleevebladeburnertask.taskscompleted.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.sleevebladeburnertask.type.md)


</td><td>


</td><td>

"BLADEBURNER"


</td><td>


</td></tr>
</tbody></table>

